#!/usr/bin/env python3
import sys, re, json

with open("nodes.txt", "r", encoding="utf-8") as f:
    lines = [line for line in f if line.startswith("│")]

header = [h.strip() for h in re.split("│", lines[0])[1:-1]]

nodes = []
for line in lines[2:]:
    parts = [p.strip() for p in re.split("│", line)[1:-1]]
    if len(parts) == len(header):
        node = dict(zip(header, parts))
        nodes.append(node)

print(json.dumps(nodes, indent=2, ensure_ascii=False))
